edu.ucsb.nceas.metacat.dataone.v1

## Class MNodeService

- java.lang.Object
- - edu.ucsb.nceas.metacat.dataone.v1.MNodeService

- All Implemented Interfaces:
    org.dataone.service.mn.tier1.v1.MNCore, org.dataone.service.mn.tier1.v1.MNRead, org.dataone.service.mn.tier2.v1.MNAuthorization, org.dataone.service.mn.tier3.v1.MNStorage, org.dataone.service.mn.tier4.v1.MNReplication, org.dataone.service.mn.v1.MNQuery

      public class MNodeService
      extends java.lang.Object
      implements org.dataone.service.mn.tier2.v1.MNAuthorization, org.dataone.service.mn.tier1.v1.MNCore, org.dataone.service.mn.tier1.v1.MNRead, org.dataone.service.mn.tier4.v1.MNReplication, org.dataone.service.mn.tier3.v1.MNStorage, org.dataone.service.mn.v1.MNQuery

  Represents Metacat's implementation of the DataONE Member Node service API, v1. Methods typically pass through to the current version implementation performing type conversion as needed.

- - ### Field Summary

    - ### Fields inherited from interface org.dataone.service.mn.tier1.v1.MNCore

      `SERVICE_VERSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dataone.service.types.v1.Identifier` | `archive(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.Identifier` | `archive(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `create(org.dataone.service.types.v1.Identifier pid, java.io.InputStream object, org.dataone.service.types.v1.SystemMetadata sysmeta)`
    `org.dataone.service.types.v1.Identifier` | `create(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, java.io.InputStream object, org.dataone.service.types.v1.SystemMetadata sysmeta)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `delete(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.Identifier` | `delete(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.DescribeResponse` | `describe(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.DescribeResponse` | `describe(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `generateIdentifier(org.dataone.service.types.v1.Session session, java.lang.String scheme, java.lang.String fragment)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `generateIdentifier(java.lang.String scheme, java.lang.String fragment)`
    `java.io.InputStream` | `get(org.dataone.service.types.v1.Identifier pid)`
    `java.io.InputStream` | `get(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.Node` | `getCapabilities()`
    `org.dataone.service.types.v1.Checksum` | `getChecksum(org.dataone.service.types.v1.Identifier pid, java.lang.String algorithm)`
    `org.dataone.service.types.v1.Checksum` | `getChecksum(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, java.lang.String algorithm)` Deprecated.
    `static MNodeService` | `getInstance(javax.servlet.http.HttpServletRequest request)` Singleton accessor to get an instance of MNodeService.
    `org.dataone.service.types.v1.Log` | `getLogRecords(java.util.Date fromDate, java.util.Date toDate, org.dataone.service.types.v1.Event event, java.lang.String pidFilter, java.lang.Integer start, java.lang.Integer count)`
    `org.dataone.service.types.v1.Log` | `getLogRecords(org.dataone.service.types.v1.Session session, java.util.Date fromDate, java.util.Date toDate, org.dataone.service.types.v1.Event event, java.lang.String pidFilter, java.lang.Integer start, java.lang.Integer count)` Deprecated.
    `java.io.InputStream` | `getPackage(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.ObjectFormatIdentifier formatId, org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1_1.QueryEngineDescription` | `getQueryEngineDescription(java.lang.String engine)`
    `java.io.InputStream` | `getReplica(org.dataone.service.types.v1.Identifier pid)`
    `java.io.InputStream` | `getReplica(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.SystemMetadata` | `getSystemMetadata(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.SystemMetadata` | `getSystemMetadata(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `boolean` | `isAuthorized(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Permission permission)`
    `boolean` | `isAuthorized(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Permission permission)` Deprecated.
    `org.dataone.service.types.v1.ObjectList` | `listObjects(java.util.Date startTime, java.util.Date endTime, org.dataone.service.types.v1.ObjectFormatIdentifier objectFormatId, java.lang.Boolean replicaStatus, java.lang.Integer start, java.lang.Integer count)`
    `org.dataone.service.types.v1.ObjectList` | `listObjects(org.dataone.service.types.v1.Session session, java.util.Date startTime, java.util.Date endTime, org.dataone.service.types.v1.ObjectFormatIdentifier objectFormatId, java.lang.Boolean replicaStatus, java.lang.Integer start, java.lang.Integer count)` Deprecated.
    `org.dataone.service.types.v1_1.QueryEngineList` | `listQueryEngines()`
    `java.util.Date` | `ping()`
    `org.dataone.service.types.v1.Identifier` | `publish(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier originalIdentifier)`
    `java.io.InputStream` | `query(java.lang.String engine, java.lang.String query)`
    `boolean` | `replicate(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.SystemMetadata sysmeta, org.dataone.service.types.v1.NodeReference sourceNode)` Deprecated.
    `boolean` | `replicate(org.dataone.service.types.v1.SystemMetadata sysmeta, org.dataone.service.types.v1.NodeReference sourceNode)`
    `void` | `setSession(org.dataone.service.types.v1.Session session)`
    `boolean` | `synchronizationFailed(org.dataone.service.types.v1.Session session, org.dataone.service.exceptions.SynchronizationFailed syncFailed)` Deprecated.
    `boolean` | `synchronizationFailed(org.dataone.service.exceptions.SynchronizationFailed syncFailed)`
    `boolean` | `systemMetadataChanged(org.dataone.service.types.v1.Identifier pid, long serialVersion, java.util.Date dateSysMetaLastModified)`
    `boolean` | `systemMetadataChanged(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, long serialVersion, java.util.Date dateSysMetaLastModified)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `update(org.dataone.service.types.v1.Identifier pid, java.io.InputStream object, org.dataone.service.types.v1.Identifier newPid, org.dataone.service.types.v1.SystemMetadata sysmeta)`
    `org.dataone.service.types.v1.Identifier` | `update(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, java.io.InputStream object, org.dataone.service.types.v1.Identifier newPid, org.dataone.service.types.v1.SystemMetadata sysmeta)` Deprecated.
    `java.io.InputStream` | `view(org.dataone.service.types.v1.Session session, java.lang.String format, org.dataone.service.types.v1.Identifier pid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static MNodeService getInstance(javax.servlet.http.HttpServletRequest request)

      Singleton accessor to get an instance of MNodeService.
      Returns:
        instance - the instance of MNodeService

    - #### setSession

          public void setSession(org.dataone.service.types.v1.Session session)

    - #### getQueryEngineDescription

          public org.dataone.service.types.v1_1.QueryEngineDescription getQueryEngineDescription(java.lang.String engine)
                                                                                          throws org.dataone.service.exceptions.InvalidToken,
                                                                                                 org.dataone.service.exceptions.ServiceFailure,
                                                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                                                 org.dataone.service.exceptions.NotImplemented,
                                                                                                 org.dataone.service.exceptions.NotFound

      Specified by:
        `getQueryEngineDescription` in interface `org.dataone.service.mn.v1.MNQuery`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`

    - #### listQueryEngines

          public org.dataone.service.types.v1_1.QueryEngineList listQueryEngines()
                                                                          throws org.dataone.service.exceptions.InvalidToken,
                                                                                 org.dataone.service.exceptions.ServiceFailure,
                                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                                 org.dataone.service.exceptions.NotImplemented

      Specified by:
        `listQueryEngines` in interface `org.dataone.service.mn.v1.MNQuery`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`

    - #### query

          public java.io.InputStream query(java.lang.String engine,
                                           java.lang.String query)
                                    throws org.dataone.service.exceptions.InvalidToken,
                                           org.dataone.service.exceptions.ServiceFailure,
                                           org.dataone.service.exceptions.NotAuthorized,
                                           org.dataone.service.exceptions.InvalidRequest,
                                           org.dataone.service.exceptions.NotImplemented,
                                           org.dataone.service.exceptions.NotFound

      Specified by:
        `query` in interface `org.dataone.service.mn.v1.MNQuery`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`

    - #### archive

          public org.dataone.service.types.v1.Identifier archive(org.dataone.service.types.v1.Identifier pid)
                                                          throws org.dataone.service.exceptions.InvalidToken,
                                                                 org.dataone.service.exceptions.ServiceFailure,
                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                 org.dataone.service.exceptions.NotFound,
                                                                 org.dataone.service.exceptions.NotImplemented

      Specified by:
        `archive` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### archive

          @Deprecated
          public org.dataone.service.types.v1.Identifier archive(org.dataone.service.types.v1.Session session,
                                                                             org.dataone.service.types.v1.Identifier pid)
                                                                      throws org.dataone.service.exceptions.InvalidToken,
                                                                             org.dataone.service.exceptions.ServiceFailure,
                                                                             org.dataone.service.exceptions.NotAuthorized,
                                                                             org.dataone.service.exceptions.NotFound,
                                                                             org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `archive` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### create

          public org.dataone.service.types.v1.Identifier create(org.dataone.service.types.v1.Identifier pid,
                                                                java.io.InputStream object,
                                                                org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                         throws org.dataone.service.exceptions.IdentifierNotUnique,
                                                                org.dataone.service.exceptions.InsufficientResources,
                                                                org.dataone.service.exceptions.InvalidRequest,
                                                                org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.NotImplemented,
                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                org.dataone.service.exceptions.UnsupportedType

      Specified by:
        `create` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.UnsupportedType`

    - #### create

          @Deprecated
          public org.dataone.service.types.v1.Identifier create(org.dataone.service.types.v1.Session session,
                                                                            org.dataone.service.types.v1.Identifier pid,
                                                                            java.io.InputStream object,
                                                                            org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                                     throws org.dataone.service.exceptions.IdentifierNotUnique,
                                                                            org.dataone.service.exceptions.InsufficientResources,
                                                                            org.dataone.service.exceptions.InvalidRequest,
                                                                            org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                            org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotImplemented,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.UnsupportedType

      Deprecated.
      Specified by:
        `create` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.UnsupportedType`

    - #### delete

          public org.dataone.service.types.v1.Identifier delete(org.dataone.service.types.v1.Identifier pid)
                                                         throws org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.NotFound,
                                                                org.dataone.service.exceptions.NotImplemented

      Specified by:
        `delete` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### delete

          @Deprecated
          public org.dataone.service.types.v1.Identifier delete(org.dataone.service.types.v1.Session session,
                                                                            org.dataone.service.types.v1.Identifier pid)
                                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotFound,
                                                                            org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `delete` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### generateIdentifier

          public org.dataone.service.types.v1.Identifier generateIdentifier(java.lang.String scheme,
                                                                            java.lang.String fragment)
                                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotImplemented,
                                                                            org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `generateIdentifier` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### generateIdentifier

          @Deprecated
          public org.dataone.service.types.v1.Identifier generateIdentifier(org.dataone.service.types.v1.Session session,
                                                                                        java.lang.String scheme,
                                                                                        java.lang.String fragment)
                                                                                 throws org.dataone.service.exceptions.InvalidToken,
                                                                                        org.dataone.service.exceptions.ServiceFailure,
                                                                                        org.dataone.service.exceptions.NotAuthorized,
                                                                                        org.dataone.service.exceptions.NotImplemented,
                                                                                        org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `generateIdentifier` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### update

          public org.dataone.service.types.v1.Identifier update(org.dataone.service.types.v1.Identifier pid,
                                                                java.io.InputStream object,
                                                                org.dataone.service.types.v1.Identifier newPid,
                                                                org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                         throws org.dataone.service.exceptions.IdentifierNotUnique,
                                                                org.dataone.service.exceptions.InsufficientResources,
                                                                org.dataone.service.exceptions.InvalidRequest,
                                                                org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.NotImplemented,
                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                org.dataone.service.exceptions.UnsupportedType,
                                                                org.dataone.service.exceptions.NotFound

      Specified by:
        `update` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.UnsupportedType`
        `org.dataone.service.exceptions.NotFound`

    - #### update

          @Deprecated
          public org.dataone.service.types.v1.Identifier update(org.dataone.service.types.v1.Session session,
                                                                            org.dataone.service.types.v1.Identifier pid,
                                                                            java.io.InputStream object,
                                                                            org.dataone.service.types.v1.Identifier newPid,
                                                                            org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                                     throws org.dataone.service.exceptions.IdentifierNotUnique,
                                                                            org.dataone.service.exceptions.InsufficientResources,
                                                                            org.dataone.service.exceptions.InvalidRequest,
                                                                            org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                            org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotImplemented,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.UnsupportedType,
                                                                            org.dataone.service.exceptions.NotFound

      Deprecated.
      Specified by:
        `update` in interface `org.dataone.service.mn.tier3.v1.MNStorage`
      Throws:
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.UnsupportedType`
        `org.dataone.service.exceptions.NotFound`

    - #### replicate

          public boolean replicate(org.dataone.service.types.v1.SystemMetadata sysmeta,
                                   org.dataone.service.types.v1.NodeReference sourceNode)
                            throws org.dataone.service.exceptions.NotImplemented,
                                   org.dataone.service.exceptions.ServiceFailure,
                                   org.dataone.service.exceptions.NotAuthorized,
                                   org.dataone.service.exceptions.InvalidRequest,
                                   org.dataone.service.exceptions.InvalidToken,
                                   org.dataone.service.exceptions.InsufficientResources,
                                   org.dataone.service.exceptions.UnsupportedType

      Specified by:
        `replicate` in interface `org.dataone.service.mn.tier4.v1.MNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.UnsupportedType`

    - #### replicate

          @Deprecated
          public boolean replicate(org.dataone.service.types.v1.Session session,
                                               org.dataone.service.types.v1.SystemMetadata sysmeta,
                                               org.dataone.service.types.v1.NodeReference sourceNode)
                                        throws org.dataone.service.exceptions.NotImplemented,
                                               org.dataone.service.exceptions.ServiceFailure,
                                               org.dataone.service.exceptions.NotAuthorized,
                                               org.dataone.service.exceptions.InvalidRequest,
                                               org.dataone.service.exceptions.InvalidToken,
                                               org.dataone.service.exceptions.InsufficientResources,
                                               org.dataone.service.exceptions.UnsupportedType

      Deprecated.
      Specified by:
        `replicate` in interface `org.dataone.service.mn.tier4.v1.MNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.UnsupportedType`

    - #### describe

          public org.dataone.service.types.v1.DescribeResponse describe(org.dataone.service.types.v1.Identifier pid)
                                                                 throws org.dataone.service.exceptions.InvalidToken,
                                                                        org.dataone.service.exceptions.NotAuthorized,
                                                                        org.dataone.service.exceptions.NotImplemented,
                                                                        org.dataone.service.exceptions.ServiceFailure,
                                                                        org.dataone.service.exceptions.NotFound

      Specified by:
        `describe` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### describe

          @Deprecated
          public org.dataone.service.types.v1.DescribeResponse describe(org.dataone.service.types.v1.Session session,
                                                                                    org.dataone.service.types.v1.Identifier pid)
                                                                             throws org.dataone.service.exceptions.InvalidToken,
                                                                                    org.dataone.service.exceptions.NotAuthorized,
                                                                                    org.dataone.service.exceptions.NotImplemented,
                                                                                    org.dataone.service.exceptions.ServiceFailure,
                                                                                    org.dataone.service.exceptions.NotFound

      Deprecated.
      Specified by:
        `describe` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### get

          public java.io.InputStream get(org.dataone.service.types.v1.Identifier pid)
                                  throws org.dataone.service.exceptions.InvalidToken,
                                         org.dataone.service.exceptions.NotAuthorized,
                                         org.dataone.service.exceptions.NotImplemented,
                                         org.dataone.service.exceptions.ServiceFailure,
                                         org.dataone.service.exceptions.NotFound,
                                         org.dataone.service.exceptions.InsufficientResources

      Specified by:
        `get` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### get

          @Deprecated
          public java.io.InputStream get(org.dataone.service.types.v1.Session session,
                                                     org.dataone.service.types.v1.Identifier pid)
                                              throws org.dataone.service.exceptions.InvalidToken,
                                                     org.dataone.service.exceptions.NotAuthorized,
                                                     org.dataone.service.exceptions.NotImplemented,
                                                     org.dataone.service.exceptions.ServiceFailure,
                                                     org.dataone.service.exceptions.NotFound,
                                                     org.dataone.service.exceptions.InsufficientResources

      Deprecated.
      Specified by:
        `get` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### getChecksum

          public org.dataone.service.types.v1.Checksum getChecksum(org.dataone.service.types.v1.Identifier pid,
                                                                   java.lang.String algorithm)
                                                            throws org.dataone.service.exceptions.InvalidRequest,
                                                                   org.dataone.service.exceptions.InvalidToken,
                                                                   org.dataone.service.exceptions.NotAuthorized,
                                                                   org.dataone.service.exceptions.NotImplemented,
                                                                   org.dataone.service.exceptions.ServiceFailure,
                                                                   org.dataone.service.exceptions.NotFound

      Specified by:
        `getChecksum` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### getChecksum

          @Deprecated
          public org.dataone.service.types.v1.Checksum getChecksum(org.dataone.service.types.v1.Session session,
                                                                               org.dataone.service.types.v1.Identifier pid,
                                                                               java.lang.String algorithm)
                                                                        throws org.dataone.service.exceptions.InvalidRequest,
                                                                               org.dataone.service.exceptions.InvalidToken,
                                                                               org.dataone.service.exceptions.NotAuthorized,
                                                                               org.dataone.service.exceptions.NotImplemented,
                                                                               org.dataone.service.exceptions.ServiceFailure,
                                                                               org.dataone.service.exceptions.NotFound

      Deprecated.
      Specified by:
        `getChecksum` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### getReplica

          public java.io.InputStream getReplica(org.dataone.service.types.v1.Identifier pid)
                                         throws org.dataone.service.exceptions.InvalidToken,
                                                org.dataone.service.exceptions.NotAuthorized,
                                                org.dataone.service.exceptions.NotImplemented,
                                                org.dataone.service.exceptions.ServiceFailure,
                                                org.dataone.service.exceptions.NotFound,
                                                org.dataone.service.exceptions.InsufficientResources

      Specified by:
        `getReplica` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### getReplica

          @Deprecated
          public java.io.InputStream getReplica(org.dataone.service.types.v1.Session session,
                                                            org.dataone.service.types.v1.Identifier pid)
                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                            org.dataone.service.exceptions.NotAuthorized,
                                                            org.dataone.service.exceptions.NotImplemented,
                                                            org.dataone.service.exceptions.ServiceFailure,
                                                            org.dataone.service.exceptions.NotFound,
                                                            org.dataone.service.exceptions.InsufficientResources

      Deprecated.
      Specified by:
        `getReplica` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### getSystemMetadata

          public org.dataone.service.types.v1.SystemMetadata getSystemMetadata(org.dataone.service.types.v1.Identifier pid)
                                                                        throws org.dataone.service.exceptions.InvalidToken,
                                                                               org.dataone.service.exceptions.NotAuthorized,
                                                                               org.dataone.service.exceptions.NotImplemented,
                                                                               org.dataone.service.exceptions.ServiceFailure,
                                                                               org.dataone.service.exceptions.NotFound

      Specified by:
        `getSystemMetadata` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### getSystemMetadata

          @Deprecated
          public org.dataone.service.types.v1.SystemMetadata getSystemMetadata(org.dataone.service.types.v1.Session session,
                                                                                           org.dataone.service.types.v1.Identifier pid)
                                                                                    throws org.dataone.service.exceptions.InvalidToken,
                                                                                           org.dataone.service.exceptions.NotAuthorized,
                                                                                           org.dataone.service.exceptions.NotImplemented,
                                                                                           org.dataone.service.exceptions.ServiceFailure,
                                                                                           org.dataone.service.exceptions.NotFound

      Deprecated.
      Specified by:
        `getSystemMetadata` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### listObjects

          public org.dataone.service.types.v1.ObjectList listObjects(java.util.Date startTime,
                                                                     java.util.Date endTime,
                                                                     org.dataone.service.types.v1.ObjectFormatIdentifier objectFormatId,
                                                                     java.lang.Boolean replicaStatus,
                                                                     java.lang.Integer start,
                                                                     java.lang.Integer count)
                                                              throws org.dataone.service.exceptions.InvalidRequest,
                                                                     org.dataone.service.exceptions.InvalidToken,
                                                                     org.dataone.service.exceptions.NotAuthorized,
                                                                     org.dataone.service.exceptions.NotImplemented,
                                                                     org.dataone.service.exceptions.ServiceFailure

      Specified by:
        `listObjects` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### listObjects

          @Deprecated
          public org.dataone.service.types.v1.ObjectList listObjects(org.dataone.service.types.v1.Session session,
                                                                                 java.util.Date startTime,
                                                                                 java.util.Date endTime,
                                                                                 org.dataone.service.types.v1.ObjectFormatIdentifier objectFormatId,
                                                                                 java.lang.Boolean replicaStatus,
                                                                                 java.lang.Integer start,
                                                                                 java.lang.Integer count)
                                                                          throws org.dataone.service.exceptions.InvalidRequest,
                                                                                 org.dataone.service.exceptions.InvalidToken,
                                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                                 org.dataone.service.exceptions.NotImplemented,
                                                                                 org.dataone.service.exceptions.ServiceFailure

      Deprecated.
      Specified by:
        `listObjects` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### synchronizationFailed

          public boolean synchronizationFailed(org.dataone.service.exceptions.SynchronizationFailed syncFailed)
                                        throws org.dataone.service.exceptions.InvalidToken,
                                               org.dataone.service.exceptions.NotAuthorized,
                                               org.dataone.service.exceptions.NotImplemented,
                                               org.dataone.service.exceptions.ServiceFailure

      Specified by:
        `synchronizationFailed` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### synchronizationFailed

          @Deprecated
          public boolean synchronizationFailed(org.dataone.service.types.v1.Session session,
                                                           org.dataone.service.exceptions.SynchronizationFailed syncFailed)
                                                    throws org.dataone.service.exceptions.InvalidToken,
                                                           org.dataone.service.exceptions.NotAuthorized,
                                                           org.dataone.service.exceptions.NotImplemented,
                                                           org.dataone.service.exceptions.ServiceFailure

      Deprecated.
      Specified by:
        `synchronizationFailed` in interface `org.dataone.service.mn.tier1.v1.MNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### getCapabilities

          public org.dataone.service.types.v1.Node getCapabilities()
                                                            throws org.dataone.service.exceptions.NotImplemented,
                                                                   org.dataone.service.exceptions.ServiceFailure

      Specified by:
        `getCapabilities` in interface `org.dataone.service.mn.tier1.v1.MNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### getLogRecords

          public org.dataone.service.types.v1.Log getLogRecords(java.util.Date fromDate,
                                                                java.util.Date toDate,
                                                                org.dataone.service.types.v1.Event event,
                                                                java.lang.String pidFilter,
                                                                java.lang.Integer start,
                                                                java.lang.Integer count)
                                                         throws org.dataone.service.exceptions.InvalidRequest,
                                                                org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.NotImplemented,
                                                                org.dataone.service.exceptions.ServiceFailure

      Specified by:
        `getLogRecords` in interface `org.dataone.service.mn.tier1.v1.MNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### getLogRecords

          @Deprecated
          public org.dataone.service.types.v1.Log getLogRecords(org.dataone.service.types.v1.Session session,
                                                                            java.util.Date fromDate,
                                                                            java.util.Date toDate,
                                                                            org.dataone.service.types.v1.Event event,
                                                                            java.lang.String pidFilter,
                                                                            java.lang.Integer start,
                                                                            java.lang.Integer count)
                                                                     throws org.dataone.service.exceptions.InvalidRequest,
                                                                            org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotImplemented,
                                                                            org.dataone.service.exceptions.ServiceFailure

      Deprecated.
      Specified by:
        `getLogRecords` in interface `org.dataone.service.mn.tier1.v1.MNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### ping

          public java.util.Date ping()
                              throws org.dataone.service.exceptions.NotImplemented,
                                     org.dataone.service.exceptions.ServiceFailure,
                                     org.dataone.service.exceptions.InsufficientResources

      Specified by:
        `ping` in interface `org.dataone.service.mn.tier1.v1.MNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### isAuthorized

          public boolean isAuthorized(org.dataone.service.types.v1.Identifier pid,
                                      org.dataone.service.types.v1.Permission permission)
                               throws org.dataone.service.exceptions.ServiceFailure,
                                      org.dataone.service.exceptions.InvalidRequest,
                                      org.dataone.service.exceptions.InvalidToken,
                                      org.dataone.service.exceptions.NotFound,
                                      org.dataone.service.exceptions.NotAuthorized,
                                      org.dataone.service.exceptions.NotImplemented

      Specified by:
        `isAuthorized` in interface `org.dataone.service.mn.tier2.v1.MNAuthorization`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`

    - #### isAuthorized

          @Deprecated
          public boolean isAuthorized(org.dataone.service.types.v1.Session session,
                                                  org.dataone.service.types.v1.Identifier pid,
                                                  org.dataone.service.types.v1.Permission permission)
                                           throws org.dataone.service.exceptions.ServiceFailure,
                                                  org.dataone.service.exceptions.InvalidRequest,
                                                  org.dataone.service.exceptions.InvalidToken,
                                                  org.dataone.service.exceptions.NotFound,
                                                  org.dataone.service.exceptions.NotAuthorized,
                                                  org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `isAuthorized` in interface `org.dataone.service.mn.tier2.v1.MNAuthorization`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`

    - #### systemMetadataChanged

          public boolean systemMetadataChanged(org.dataone.service.types.v1.Identifier pid,
                                               long serialVersion,
                                               java.util.Date dateSysMetaLastModified)
                                        throws org.dataone.service.exceptions.InvalidToken,
                                               org.dataone.service.exceptions.ServiceFailure,
                                               org.dataone.service.exceptions.NotAuthorized,
                                               org.dataone.service.exceptions.NotImplemented,
                                               org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `systemMetadataChanged` in interface `org.dataone.service.mn.tier2.v1.MNAuthorization`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### systemMetadataChanged

          @Deprecated
          public boolean systemMetadataChanged(org.dataone.service.types.v1.Session session,
                                                           org.dataone.service.types.v1.Identifier pid,
                                                           long serialVersion,
                                                           java.util.Date dateSysMetaLastModified)
                                                    throws org.dataone.service.exceptions.InvalidToken,
                                                           org.dataone.service.exceptions.ServiceFailure,
                                                           org.dataone.service.exceptions.NotAuthorized,
                                                           org.dataone.service.exceptions.NotImplemented,
                                                           org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `systemMetadataChanged` in interface `org.dataone.service.mn.tier2.v1.MNAuthorization`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### publish

          public org.dataone.service.types.v1.Identifier publish(org.dataone.service.types.v1.Session session,
                                                                 org.dataone.service.types.v1.Identifier originalIdentifier)
                                                          throws org.dataone.service.exceptions.InvalidToken,
                                                                 org.dataone.service.exceptions.ServiceFailure,
                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                 org.dataone.service.exceptions.NotImplemented,
                                                                 org.dataone.service.exceptions.InvalidRequest,
                                                                 org.dataone.service.exceptions.NotFound,
                                                                 org.dataone.service.exceptions.IdentifierNotUnique,
                                                                 org.dataone.service.exceptions.UnsupportedType,
                                                                 org.dataone.service.exceptions.InsufficientResources,
                                                                 org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                 java.io.IOException

      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.UnsupportedType`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `java.io.IOException`

    - #### view

          public java.io.InputStream view(org.dataone.service.types.v1.Session session,
                                          java.lang.String format,
                                          org.dataone.service.types.v1.Identifier pid)
                                   throws org.dataone.service.exceptions.InvalidToken,
                                          org.dataone.service.exceptions.ServiceFailure,
                                          org.dataone.service.exceptions.NotAuthorized,
                                          org.dataone.service.exceptions.InvalidRequest,
                                          org.dataone.service.exceptions.NotImplemented,
                                          org.dataone.service.exceptions.NotFound

      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`

    - #### getPackage

          public java.io.InputStream getPackage(org.dataone.service.types.v1.Session session,
                                                org.dataone.service.types.v1.ObjectFormatIdentifier formatId,
                                                org.dataone.service.types.v1.Identifier pid)
                                         throws org.dataone.service.exceptions.InvalidToken,
                                                org.dataone.service.exceptions.ServiceFailure,
                                                org.dataone.service.exceptions.NotAuthorized,
                                                org.dataone.service.exceptions.InvalidRequest,
                                                org.dataone.service.exceptions.NotImplemented,
                                                org.dataone.service.exceptions.NotFound

      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`

Copyright © 2023 Regents of the University of California. All Rights Reserved.